Resource

Monitor Status

Manage monitor status in your project. Monitor Status are Operational, Degraded and Offline for example. Add custom status like Monitoring or more.

The Monitor Status Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    color
    Type
    ColorRequired
    Description

    Color of this resource in Hex (#32a852 for example)

  • Name
    isOperationalState
    Type
    Boolean
    Description

    Is this monitor in operational state?

  • Name
    isOfflineState
    Type
    Boolean
    Description

    Is this monitor in offline state?

  • Name
    priority
    Type
    Number
    Description

    Order / Priority of this status. For example: Operational has priority 1, Degraded has 2, Offline has 3. Lower priority would mean bad state of the resource.

GETorPOST/api/monitor-status/get-list

List

This endpoint allows you to retrieve a paginated list of all your Monitor Status. By default, a maximum of ten Monitor Status are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/monitor-status/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "description": true,
    "color": true
  },
  "query": {
    "name": "Operational"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3775b060-28fe-11f1-b591-3fdcef396aba",
      "name": "Operational",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "The monitor is running normally and all systems are operational",
      "color": "#3498db"
    },
    {
      "_id": "3775b061-28fe-11f1-b591-3fdcef396aba",
      "name": "Operational",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "The monitor is running normally and all systems are operational",
      "color": "#3498db"
    },
    {
      "_id": "3775b062-28fe-11f1-b591-3fdcef396aba",
      "name": "Operational",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "The monitor is running normally and all systems are operational",
      "color": "#3498db"
    }
  ]
}
GETorPOST/api/monitor-status/:id/get-item

Get item by ID

This endpoint allows you to retrieve Monitor Status by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/monitor-status/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "description": true,
    "color": true
  }
}

Response

{
  "_id": "3775b060-28fe-11f1-b591-3fdcef396aba",
  "name": "Operational",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "description": "The monitor is running normally and all systems are operational",
  "color": "#3498db"
}
POST/api/monitor-status/count

Count

This endpoint allows you to retrieve the count of all your Monitor Status.

Optional Request Body

Count Request

POST
/api/monitor-status/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Operational"
  }
}

Response

{
  "count": 107
}
POST/api/monitor-status

Create Monitor Status

This endpoint allows you to create a new object.

Create Request

POST
/api/monitor-status
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Operational",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "description": "The monitor is running normally and all systems are operational",
    "color": "#3498db"
  }
}

Response

{
  "_id": "3775b060-28fe-11f1-b591-3fdcef396aba",
  "name": "Operational",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "description": "The monitor is running normally and all systems are operational",
  "color": "#3498db"
}
PUT/api/monitor-status/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-status/:id/update-item
GET/api/monitor-status/:id/update-item

Update Request

PUT
/api/monitor-status/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Operational",
    "description": "The monitor is running normally and all systems are operational",
    "color": "#3498db"
  }
}

Response

{}
DELETE/api/monitor-status/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-status/:id/delete-item
GET/api/monitor-status/:id/delete-item

Delete Request

DELETE
/api/monitor-status/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Monitor Status

  • Project Owner
  • Project Admin
  • Project Member
  • Read Monitor Status
  • Read All Project Resources

Create Permissions

Required to create Monitor Status

  • Project Owner
  • Project Admin
  • Project Member
  • Create Monitor Status

Update Permissions

Required to update Monitor Status

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Monitor Status

Delete Permissions

Required to delete Monitor Status

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Monitor Status